The "List Orders" API allows to retrieve a paginated list of orders. Customize your results by filtering orders based on name, alt type, order status, payment mode, date range, type of source, contact, funnel products or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve order information.

http
GET https://services.leadconnectorhq.com/payments/orders

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringNo3SwdhCu3svxI8AKsPJt6LocationId is the id of the account.
altIdstringYes3SwdhCu3svxI8AKsPJt6AltId is the unique identifier e.g: account id.
statusstringNocompletedOrder status.
paymentStatusstringNounpaidPayment Status of the Order
paymentModestringNoliveMode of payment.
startAtstringNo2024-02-01Starting interval of orders.
endAtstringNo2024-02-13Closing interval of orders.
searchstringNoAwesome orderThe name of the order for searching.
contactIdstringNoXPLSw2SVagl12LMDeTmQContact id for filtering of orders.
funnelProductIdsstringNo61dd0c7dc077f712a5f787ff,61d6afc9d39ac5e35965c017Funnel product ids separated by comma.
sourceIdstringNo61dd0c7dc077f712a5f787ffSource id
limitnumberNo20The maximum number of items to be included in a single page of results
offsetnumberNo0The starting index of the page, indicating the position from which the results should be retrieved.

Responses

200 - Successful response
  • data (object[], required): An array of orders

    • _id (string, required): The unique identifier for the order. Example: 653f5e0cde5a1314e62a837c

    • altId (string, required): AltId is the unique identifier eg: account id. Example: 3SwdhCu3svxI8AKsPJt6

    • altType (string, required): AltType is the type of identifier. Example: account

    • contactId (string): Contact id corresponding to the order. Example: XPLSw2SVagl12LMDeTmQ

    • contactName (string): Contact name corresponding to the order. Example: James Bond

    • contactEmail (string): Contact email corresponding to the order. Example: james.bond@leadwaycrm.com

    • currency (string): Currency in which order was created. Example: USD

    • amount (number): Order value. Example: 100

    • subtotal (number): Order sub-total value. Example: 100

    • discount (number): Discount value on order. Example: 10

    • status (string, required): The status of the order (e.g., completed). Example: completed

    • liveMode (boolean): Order is in live / test mode. Example: false

    • totalProducts (number): Total products in an order. Example: 5

    • sourceType (string, required): Source type of order (eg: funnel). Example: funnel

    • sourceName (string): Source name for the order. Example: onestep

    • sourceId (string): Source id for the order. Example: kDj7BHej9Zyyq3QakJmz

    • sourceMeta (object): Meta content for the source of order. Example: { domain: "app.leadwaycrm.com", pageId: "rBVhyYhMsbxbO8ZqOcei", pageUrl: "/v2/preview/rBVhyYhMsbxbO8ZqOcei", stepId: "5a772f62-3fbc-418b-af1b-be8929dd64c2"}

    • couponCode (string): Coupon code for the order. Example: 100PER

    • createdAt (string, required): The creation timestamp of the order. Example: 2023-11-20T10:23:36.515Z

    • updatedAt (string, required): The last update timestamp of the order. Example: 2024-01-23T09:57:04.846Z

    • sourceSubType (string): Source sub-type for the order. Example: one_step_order_form

    • fulfillmentStatus (string): Fulfillment status of the order. Example: unfulfilled

    • onetimeProducts (number): Total one time products in an order. Example: 1

    • recurringProducts (number): Total recurring time products in an order. Example: 1

    • createdBy (string): User ID who created the order. Example: user123

  • totalCount (number, required): total orders count

json
{
  "data": [
    {
      "_id": "653f5e0cde5a1314e62a837c",
      "altId": "3SwdhCu3svxI8AKsPJt6",
      "altType": "account",
      "contactId": "XPLSw2SVagl12LMDeTmQ",
      "contactName": "James Bond",
      "contactEmail": "james.bond@leadwaycrm.com",
      "currency": "USD",
      "amount": "100",
      "subtotal": "100",
      "discount": "10",
      "status": "completed",
      "liveMode": "false",
      "totalProducts": "5",
      "sourceType": "funnel",
      "sourceName": "onestep",
      "sourceId": "kDj7BHej9Zyyq3QakJmz",
      "sourceMeta": "{ domain: \"app.leadwaycrm.com\", pageId:  \"rBVhyYhMsbxbO8ZqOcei\", pageUrl:  \"/v2/preview/rBVhyYhMsbxbO8ZqOcei\", stepId:   \"5a772f62-3fbc-418b-af1b-be8929dd64c2\"}",
      "couponCode": "100PER",
      "createdAt": "2023-11-20T10:23:36.515Z",
      "updatedAt": "2024-01-23T09:57:04.846Z",
      "sourceSubType": "one_step_order_form",
      "fulfillmentStatus": "unfulfilled",
      "onetimeProducts": "1",
      "recurringProducts": "1",
      "createdBy": "user123"
    }
  ],
  "totalCount": 0
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/payments/orders' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?